
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSDetailResponse complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSDetailResponse"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="TxID" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/&gt;
 *         &lt;element name="Vehicle" type="{http://samo.cz/iva/}WSVehicleType" minOccurs="0"/&gt;
 *         &lt;element name="ReturnCode" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="ReturnMessage" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="ProcessInfo" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSDetailResponse", propOrder = {
    "txID",
    "vehicle",
    "returnCode",
    "returnMessage",
    "processInfo"
})
public class WSDetailResponse {

    @XmlElement(name = "TxID")
    protected Long txID;
    @XmlElement(name = "Vehicle", nillable = true)
    protected WSVehicleType vehicle;
    @XmlElement(name = "ReturnCode")
    protected Integer returnCode;
    @XmlElement(name = "ReturnMessage", nillable = true)
    protected String returnMessage;
    @XmlElement(name = "ProcessInfo", nillable = true)
    protected String processInfo;

    /**
     * Gets the value of the txID property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getTxID() {
        return txID;
    }

    /**
     * Sets the value of the txID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setTxID(Long value) {
        this.txID = value;
    }

    /**
     * Gets the value of the vehicle property.
     * 
     * @return
     *     possible object is
     *     {@link WSVehicleType }
     *     
     */
    public WSVehicleType getVehicle() {
        return vehicle;
    }

    /**
     * Sets the value of the vehicle property.
     * 
     * @param value
     *     allowed object is
     *     {@link WSVehicleType }
     *     
     */
    public void setVehicle(WSVehicleType value) {
        this.vehicle = value;
    }

    /**
     * Gets the value of the returnCode property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getReturnCode() {
        return returnCode;
    }

    /**
     * Sets the value of the returnCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setReturnCode(Integer value) {
        this.returnCode = value;
    }

    /**
     * Gets the value of the returnMessage property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReturnMessage() {
        return returnMessage;
    }

    /**
     * Sets the value of the returnMessage property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReturnMessage(String value) {
        this.returnMessage = value;
    }

    /**
     * Gets the value of the processInfo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProcessInfo() {
        return processInfo;
    }

    /**
     * Sets the value of the processInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProcessInfo(String value) {
        this.processInfo = value;
    }

    public WSDetailResponse withTxID(Long value) {
        setTxID(value);
        return this;
    }

    public WSDetailResponse withVehicle(WSVehicleType value) {
        setVehicle(value);
        return this;
    }

    public WSDetailResponse withReturnCode(Integer value) {
        setReturnCode(value);
        return this;
    }

    public WSDetailResponse withReturnMessage(String value) {
        setReturnMessage(value);
        return this;
    }

    public WSDetailResponse withProcessInfo(String value) {
        setProcessInfo(value);
        return this;
    }

}
